<?php

class Rss_Control {

	protected $loader;

	public function __construct() {

		$this->load_dependencies();
		$this->define_admin_hooks();
		$this->define_public_hooks();

	}

	public function run() {
		$this->loader->run();
	}

	private function load_dependencies() {

		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-rss-control-loader.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/class-rss-control-admin.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'public/class-rss-control-public.php';

		$this->loader = new Rss_Control_Loader();

	}

	private function define_admin_hooks() {

		$plugin_admin = new Rss_Control_Admin();

		$this->loader->add_action( 'admin_menu', $plugin_admin, 'admin_menu' );
		$this->loader->add_filter( 'plugin_action_links_' . RSS_CONTROL_BASENAME, $plugin_admin, 'plugin_action_links', 10, 2 );


	}

	private function define_public_hooks() {

		$plugin_public = new Rss_Control_Public();

		$this->loader->add_action( 'pre_get_posts', $plugin_public, 'pre_get_posts' );
	}

}
