<?php

/**
 * Plugin Name:       RSS Control
 * Plugin URI:        https://pramadillo.com/plugins/rss-control
 *
 * Description:       Control your sites RSS feeds with additional query param options.
 * Version:           2.0.3
 * Author:            Pramadillo
 * Author URI:        https://pramadillo.com
 */
// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
    die;
}

if ( !function_exists( 'rsscontrol_fs' ) ) {
    // Create a helper function for easy SDK access.
    function rsscontrol_fs()
    {
        global  $rsscontrol_fs ;
        
        if ( !isset( $rsscontrol_fs ) ) {
            // Activate multisite network integration.
            if ( !defined( 'WP_FS__PRODUCT_4647_MULTISITE' ) ) {
                define( 'WP_FS__PRODUCT_4647_MULTISITE', true );
            }
            
            if ( !isset( $rsscontrol_fs ) ) {
                // Include Freemius SDK.
                require_once plugin_dir_path( __FILE__ ) . 'vendor/freemius/wordpress-sdk/start.php';
                require_once plugin_dir_path( __FILE__ ) . 'includes/class-rss-control.php';
                try {
                    $rsscontrol_fs = fs_dynamic_init( array(
                        'id'             => '4647',
                        'slug'           => 'rss-control',
                        'type'           => 'plugin',
                        'public_key'     => 'pk_1f5e9509cac323a862ffbecbe8e51',
                        'is_premium'     => false,
                        'premium_suffix' => 'Premium',
                        'has_addons'     => false,
                        'has_paid_plans' => true,
                        'trial'          => array(
                        'days'               => 7,
                        'is_require_payment' => true,
                    ),
                        'menu'           => array(
                        'slug'       => 'rss-control',
                        'first-path' => 'options-general.php?page=rss-control',
                        'parent'     => array(
                        'slug' => 'options-general.php',
                    ),
                    ),
                        'is_live'        => true,
                    ) );
                } catch ( Freemius_Exception $e ) {
                    die( esc_html( $e->getMessage() ) );
                }
            }
        
        }
        
        return $rsscontrol_fs;
    }
    
    run_rss_control();
}

function run_rss_control()
{
    define( 'RSS_CONTROL_VERSION', '2.0.3' );
    define( 'RSS_CONTROL_SLUG', 'rss-control' );
    define( 'RSS_CONTROL_NAME', 'RSS Control' );
    define( 'RSS_CONTROL_PATH', plugin_dir_path( __FILE__ ) );
    define( 'RSS_CONTROL_BASENAME', plugin_basename( __FILE__ ) );
    rsscontrol_fs();
    do_action( 'rsscontrol_fs_loaded' );
    $plugin = new Rss_Control();
    $plugin->run();
}
